def register_exercise(d):
    global __exdata__
    if not d.has_key('exercise_pretty_name'):
        d['exercise_pretty_name'] = d['menu_path'].split('/')[1].replace('_', '')
    if not d.has_key('exercise_config'):
        d['exercise_config'] = ''
    __exdata__.append(d)
